layerA = new Layer
	size: 250
	borderRadius: 9
	backgroundColor: "#28AFFA"
	point: Align.center
	shadowColor: "rgba(153,153,153,1)"
	shadowY: 16
	shadowBlur: 32


layerA.onTouchStart ->
	this.scale = 0.94
	this.shadowColor = null

layerA.onTouchMove ->
	# more touches possible on mobile: get the first one
	xInLayer = Events.touchEvent(event).clientX - layerA.x
	yInLayer = Events.touchEvent(event).clientY - layerA.y
	
	# calculating Hue and Lightness values
	newHue = Utils.modulate xInLayer, [0,250], [0,360], yes
	newLightness = Utils.modulate yInLayer, [0,250], [95,0], yes
	
	# giving the layer a new backgroundColor
	this.backgroundColor = "hsl(#{newHue}, 95, #{newLightness})"

layerA.onTouchEnd ->
	this.scale = 1
	this.shadowColor = "rgba(153,153,153,1)"
